import useCurrentInstance from '@/utils/useCurrentInstance'

const TokenKey = 'Admin-Token'

export function getToken() {
  const { proxy } = useCurrentInstance()
  return proxy.$cookies.get(TokenKey)
}

export function setToken(token: string) {
  const { proxy } = useCurrentInstance()
  return proxy.$cookies.set(TokenKey, token)
}

export function removeToken() {
  const { proxy } = useCurrentInstance()
  return proxy.$cookies.remove(TokenKey)
}
